#include "libxmms/configfile.h"
#include "libxmms/charset.h"
void charset_create_prefs_window(Config *cfg, GtkNotebook *prefswin_notebook, GtkWidget *prefswin_fonts_vbox);
void charset_show_prefs_window(Config *cfg);
void charset_prefswin_apply_changes(Config *cfg);
void charset_create_playlist_window(Config *cfg);

void charset_init(Config *cfg);
void charset_free(Config *cfg);

void charset_init_config(Config *cfg);
void charset_read_config(ConfigFile *cfgfile, Config *cfg);
void charset_default_config(Config *cfg);
void charset_write_config(ConfigFile *cfgfile, Config *cfg);

void charset_sort_prepare(GList *playlist);
void charset_sort_free(GList *playlist);
char *charset_sort_convert(PlaylistEntry *entry, gchar *title, int fs);

void textbox_set_ctext(TextBox * tb, gchar * text);
